# MySQL (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.sql

## Class MySQL

- java.lang.Object
- - de.epiceric.shopchest.sql.Database
  - - de.epiceric.shopchest.sql.MySQL

    public class MySQL
    extends Database

### Nested Class Summary

### Nested classes/interfaces inherited from class de.epiceric.shopchest.sql.Database

`Database.DatabaseType`

### Constructor Summary

Constructors
Constructor and Description
`MySQL(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `getConnection()`
`void` `ping()`

### Methods inherited from class de.epiceric.shopchest.sql.Database

`addShop, connect, disconnect, getLastLogout, getRevenue, getShops, isShop, logEconomy, logLogout, removeShop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQL

    public MySQL(ShopChest plugin)

### Method Detail

#### getConnection

    public Connection getConnection()

Specified by:
  `getConnection` in class `Database`
Returns:
  New connection to the database

#### ping

    public void ping()